PATCH https://api.ap1.datadoghq.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.ap2.datadoghq.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.datadoghq.eu/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.ddog-gov.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.us2.ddog-gov.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.uk1.datadoghq.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.datadoghq.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.us3.datadoghq.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id} https://api.us5.datadoghq.com/api/v2/statuspages/{page_id}/degradation_templates/{template_id}
Overview Updates an existing degradation template’s attributes.
OAuth apps require the status_pages_settings_write authorization scope to access this endpoint.
Arguments Path Parameters The ID of the degradation or maintenance template.
The ID of the status page.
Query Strings Comma-separated list of resources to include. Supported values: created_by_user, last_modified_by_user, status_page.
Request Body Data (required)
Expand All
The data object for updating a degradation template.
The supported attributes for updating a degradation template.
The components affected by a degradation created from this template.
The ID of the component. Must be a component of type component.
The name of the component.
The status of the component.
Allowed enum values: operational,degraded,partial_outage,major_outage
The title used for a degradation created from this template.
The name of the degradation template.
The pre-filled updates for a degradation created from this template.
The message of the update.
The status of the degradation.
Allowed enum values: investigating,identified,monitoring,resolved
The ID of the degradation template.
Degradation templates resource type.
Allowed enum values: degradation_templates
default: degradation_templates
{
"data" : {
"attributes" : {
"components_affected" : [
{
"id" : "" ,
"status" : "operational"
}
],
"degradation_title" : "string" ,
"name" : "string" ,
"updates" : [
{
"message" : "string" ,
"status" : "investigating"
}
]
},
"id" : "" ,
"type" : "degradation_templates"
}
} Response OK
Response object for a single degradation template.
Expand All
The data object for a degradation template.
The attributes of a degradation template.
The components affected by a degradation created from this template.
The name of the component.
The status of the component.
Allowed enum values: operational,degraded,partial_outage,major_outage
Timestamp of when the degradation template was created.
The title used for a degradation created from this template.
Timestamp of when the degradation template was last modified.
The name of the degradation template.
The pre-filled updates for a degradation created from this template.
The message of the update.
The status of the degradation.
Allowed enum values: investigating,identified,monitoring,resolved
The ID of the degradation template.
The relationships of a degradation template.
The Datadog user who created the degradation template.
The data object identifying the Datadog user who created the degradation template.
The ID of the Datadog user who created the degradation template.
Users resource type.
Allowed enum values: users
default: users
The Datadog user who last modified the degradation template.
The data object identifying the Datadog user who last modified the degradation template.
The ID of the Datadog user who last modified the degradation template.
Users resource type.
Allowed enum values: users
default: users
The status page the degradation template belongs to.
The data object identifying the status page associated with a degradation template.
The ID of the status page.
Status pages resource type.
Allowed enum values: status_pages
default: status_pages
Degradation templates resource type.
Allowed enum values: degradation_templates
default: degradation_templates
The included related resources of a degradation template. Client must explicitly request these resources by name in the include query parameter.
The included Datadog user resource.
Attributes of the Datadog user.
The email of the Datadog user.
The handle of the Datadog user.
The icon of the Datadog user.
The name of the Datadog user.
The UUID of the Datadog user.
The ID of the Datadog user.
Users resource type.
Allowed enum values: users
default: users
The included status page resource.
The attributes of a status page.
The base64-encoded image data displayed in the company logo.
Components displayed on the status page.
If the component is of type group, the components within the group.
The ID of the grouped component.
The name of the grouped component.
The zero-indexed position of the grouped component. Relative to the other components in the group.
The status of the component.
Allowed enum values: operational,degraded,partial_outage,major_outage,maintenance
The type of the component.
Allowed enum values: component
The name of the component.
The zero-indexed position of the component.
The status of the component.
Allowed enum values: operational,degraded,partial_outage,major_outage,maintenance
The type of the component.
Allowed enum values: component,group
Timestamp of when the status page was created.
If configured, the url that the status page is accessible at.
Whether the custom domain is configured.
The subdomain of the status page's url taking the form https://{domain_prefix}.statuspage.datadoghq.com. Globally unique across Datadog Status Pages.
Base64-encoded image data included in email notifications sent to status page subscribers.
Whether the status page is enabled.
Base64-encoded image data displayed in the browser tab.
Timestamp of when the status page was last modified.
The name of the status page.
The url that the status page is accessible at.
The Slack app icon URL for the status page.
slack_subscriptions_enabled
Whether Slack subscriptions are enabled for the status page.
Whether users can subscribe to the status page.
The type of the status page controlling how the status page is accessed.
Allowed enum values: public,internal
The visualization type of the status page.
Allowed enum values: bars_and_uptime_percentage,bars_only,component_name_only
The ID of the status page.
The relationships of a status page.
The Datadog user who created the status page.
The data object identifying the Datadog user who created the status page.
The ID of the Datadog user who created the status page.
Users resource type.
Allowed enum values: users
default: users
The Datadog user who last modified the status page.
The data object identifying the Datadog user who last modified the status page.
The ID of the Datadog user who last modified the status page.
Users resource type.
Allowed enum values: users
default: users
Status pages resource type.
Allowed enum values: status_pages
default: status_pages
{
"data" : {
"attributes" : {
"components_affected" : [
{
"id" : "" ,
"name" : "string" ,
"status" : "operational"
}
],
"created_at" : "2019-09-19T10:00:00.000Z" ,
"degradation_title" : "string" ,
"modified_at" : "2019-09-19T10:00:00.000Z" ,
"name" : "string" ,
"updates" : [
{
"message" : "string" ,
"status" : "investigating"
}
]
},
"id" : "string" ,
"relationships" : {
"created_by_user" : {
"data" : {
"id" : "" ,
"type" : "users"
}
},
"last_modified_by_user" : {
"data" : {
"id" : "" ,
"type" : "users"
}
},
"status_page" : {
"data" : {
"id" : "" ,
"type" : "status_pages"
}
}
},
"type" : "degradation_templates"
},
"included" : [
{
"attributes" : {
"email" : "string" ,
"handle" : "string" ,
"icon" : "string" ,
"name" : "string" ,
"uuid" : "string"
},
"id" : "string" ,
"type" : "users"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
## default
#
# Path parameters export template_id = "CHANGE_ME" export page_id = "CHANGE_ME" # Curl command curl -X PATCH "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/statuspages/${page_id}/degradation_templates/${template_id} " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"degradation_title": "Elevated API Latency for 40 minutes",
"name": "Elevated API Latency"
},
"id": "00000000-0000-0000-0000-000000000003",
"type": "degradation_templates"
}
}
EOF
"""
Update degradation template returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.status_pages_api import StatusPagesApi
from datadog_api_client.v2.model.create_degradation_request_data_attributes_status import (
CreateDegradationRequestDataAttributesStatus ,
)
from datadog_api_client.v2.model.patch_degradation_template_request import PatchDegradationTemplateRequest
from datadog_api_client.v2.model.patch_degradation_template_request_data import PatchDegradationTemplateRequestData
from datadog_api_client.v2.model.patch_degradation_template_request_data_attributes import (
PatchDegradationTemplateRequestDataAttributes ,
)
from datadog_api_client.v2.model.patch_degradation_template_request_data_attributes_components_affected_items import (
PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems ,
)
from datadog_api_client.v2.model.patch_degradation_template_request_data_attributes_components_affected_items_status import (
PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus ,
)
from datadog_api_client.v2.model.patch_degradation_template_request_data_attributes_updates_items import (
PatchDegradationTemplateRequestDataAttributesUpdatesItems ,
)
from datadog_api_client.v2.model.patch_degradation_template_request_data_type import (
PatchDegradationTemplateRequestDataType ,
)
from uuid import UUID
body = PatchDegradationTemplateRequest (
data = PatchDegradationTemplateRequestData (
attributes = PatchDegradationTemplateRequestDataAttributes (
components_affected = [
PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems (
id = "" ,
status = PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus . OPERATIONAL ,
),
],
updates = [
PatchDegradationTemplateRequestDataAttributesUpdatesItems (
status = CreateDegradationRequestDataAttributesStatus . INVESTIGATING ,
),
],
),
id = "" ,
type = PatchDegradationTemplateRequestDataType . DEGRADATION_TEMPLATES ,
),
)
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = StatusPagesApi ( api_client )
response = api_instance . update_degradation_template (
template_id = UUID ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ),
page_id = UUID ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ),
body = body ,
)
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Update degradation template returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: StatusPagesAPI . new
body = DatadogAPIClient :: V2 :: PatchDegradationTemplateRequest . new ({
data : DatadogAPIClient :: V2 :: PatchDegradationTemplateRequestData . new ({
attributes : DatadogAPIClient :: V2 :: PatchDegradationTemplateRequestDataAttributes . new ({
components_affected : [
DatadogAPIClient :: V2 :: PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems . new ({
id : "" ,
status : DatadogAPIClient :: V2 :: PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus :: OPERATIONAL ,
}),
] ,
updates : [
DatadogAPIClient :: V2 :: PatchDegradationTemplateRequestDataAttributesUpdatesItems . new ({
status : DatadogAPIClient :: V2 :: CreateDegradationRequestDataAttributesStatus :: INVESTIGATING ,
}),
] ,
}),
id : "" ,
type : DatadogAPIClient :: V2 :: PatchDegradationTemplateRequestDataType :: DEGRADATION_TEMPLATES ,
}),
})
p api_instance . update_degradation_template ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" , "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" , body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Update degradation template returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
"github.com/google/uuid"
)
func main () {
body := datadogV2 . PatchDegradationTemplateRequest {
Data : & datadogV2 . PatchDegradationTemplateRequestData {
Attributes : & datadogV2 . PatchDegradationTemplateRequestDataAttributes {
ComponentsAffected : [] datadogV2 . PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems {
{
Id : "" ,
Status : datadogV2 . PATCHDEGRADATIONTEMPLATEREQUESTDATAATTRIBUTESCOMPONENTSAFFECTEDITEMSSTATUS_OPERATIONAL ,
},
},
Updates : [] datadogV2 . PatchDegradationTemplateRequestDataAttributesUpdatesItems {
{
Status : datadogV2 . CREATEDEGRADATIONREQUESTDATAATTRIBUTESSTATUS_INVESTIGATING ,
},
},
},
Id : "" ,
Type : datadogV2 . PATCHDEGRADATIONTEMPLATEREQUESTDATATYPE_DEGRADATION_TEMPLATES ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewStatusPagesApi ( apiClient )
resp , r , err := api . UpdateDegradationTemplate ( ctx , uuid . MustParse ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ), uuid . MustParse ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ), body , * datadogV2 . NewUpdateDegradationTemplateOptionalParameters ())
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `StatusPagesApi.UpdateDegradationTemplate`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `StatusPagesApi.UpdateDegradationTemplate`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Update degradation template returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.StatusPagesApi ;
import com.datadog.api.client.v2.model.CreateDegradationRequestDataAttributesStatus ;
import com.datadog.api.client.v2.model.DegradationTemplate ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequest ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequestData ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequestDataAttributes ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequestDataAttributesUpdatesItems ;
import com.datadog.api.client.v2.model.PatchDegradationTemplateRequestDataType ;
import java.util.Collections ;
import java.util.UUID ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
StatusPagesApi apiInstance = new StatusPagesApi ( defaultClient );
PatchDegradationTemplateRequest body =
new PatchDegradationTemplateRequest ()
. data (
new PatchDegradationTemplateRequestData ()
. attributes (
new PatchDegradationTemplateRequestDataAttributes ()
. componentsAffected (
Collections . singletonList (
new PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems ()
. id ( "" )
. status (
PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus
. OPERATIONAL )))
. updates (
Collections . singletonList (
new PatchDegradationTemplateRequestDataAttributesUpdatesItems ()
. status (
CreateDegradationRequestDataAttributesStatus
. INVESTIGATING ))))
. id ( "" )
. type ( PatchDegradationTemplateRequestDataType . DEGRADATION_TEMPLATES ));
try {
DegradationTemplate result =
apiInstance . updateDegradationTemplate (
UUID . fromString ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ),
UUID . fromString ( "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ),
body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling StatusPagesApi#updateDegradationTemplate" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Update degradation template returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_status_pages ::StatusPagesAPI ;
use datadog_api_client ::datadogV2 ::api_status_pages ::UpdateDegradationTemplateOptionalParams ;
use datadog_api_client ::datadogV2 ::model ::CreateDegradationRequestDataAttributesStatus ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequest ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequestData ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequestDataAttributes ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequestDataAttributesUpdatesItems ;
use datadog_api_client ::datadogV2 ::model ::PatchDegradationTemplateRequestDataType ;
use uuid ::Uuid ;
#[tokio::main]
async fn main () {
let body =
PatchDegradationTemplateRequest
::new (). data (
PatchDegradationTemplateRequestData ::new (
"" . to_string (),
PatchDegradationTemplateRequestDataType ::DEGRADATION_TEMPLATES ,
). attributes (
PatchDegradationTemplateRequestDataAttributes ::new ()
. components_affected (
vec! [
PatchDegradationTemplateRequestDataAttributesComponentsAffectedItems ::new (
"" . to_string (),
PatchDegradationTemplateRequestDataAttributesComponentsAffectedItemsStatus
::OPERATIONAL ,
)
],
)
. updates (
vec! [
PatchDegradationTemplateRequestDataAttributesUpdatesItems ::new (
CreateDegradationRequestDataAttributesStatus ::INVESTIGATING ,
)
],
),
),
);
let configuration = datadog ::Configuration ::new ();
let api = StatusPagesAPI ::with_config ( configuration );
let resp = api
. update_degradation_template (
Uuid ::parse_str ( "00000000-0000-0000-0000-000000000000" ). expect ( "invalid UUID" ),
Uuid ::parse_str ( "00000000-0000-0000-0000-000000000000" ). expect ( "invalid UUID" ),
body ,
UpdateDegradationTemplateOptionalParams ::default (),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Update degradation template returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . StatusPagesApi ( configuration );
const params : v2.StatusPagesApiUpdateDegradationTemplateRequest = {
body : {
data : {
attributes : {
componentsAffected : [
{
id : "" ,
status : "operational" ,
},
],
updates : [
{
status : "investigating" ,
},
],
},
id : "" ,
type : "degradation_templates" ,
},
},
templateId : "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ,
pageId : "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d" ,
};
apiInstance
. updateDegradationTemplate ( params )
. then (( data : v2.DegradationTemplate ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"